Skip to main content

GET v3/shipments/:id

GET 

/v3/shipments/:id

Retrieve one shipment by its id.

This endpoint returns a single shipment resource. The request requires a path parameter which is the id of the shipment to fetch. It returns only a shipment if it can be be found and the associated id belongs to a shipment that was generated as a result of an order.

The endpoint also supports -to some degree- the inclusion of information of related resources. To get the details of related entities the include parameter must be added to the URI in the following way:

  • GET {host}/v3/shipments?include=shipmentItems will return the shipment with all shipmentItems details.

Limitations of GET v3/shipments/:id​

  • When using this endpoint, expect the following limits on the result set
    • Shipments older than 90 days are not returned using this method.
    • Some shipment statusses are blocked when retreiving shipments in bulk using the GET v3/shipments but when requesting the shipment through GET v3/shipments/:id direcly may yield results.
  • Users are rate-limited to 1000 requests per hour on this service.

Request​

Responses​

A successful response consists of exactly one shipment resource being returned as part of the data element in the response body. If no shipment was found under the specified id a 404 Not Found message would be returned.